Commit 13a645cc authored by Kroese's avatar Kroese Committed by GitHub
Browse files

Display exit code

parent 436c7ee4
Loading
Loading
Loading
Loading
+2 −3
Original line number Diff line number Diff line
@@ -13,9 +13,8 @@ else
  PROGRESS="--progress=dot:giga"
fi

if ! wget "$BOOT" -O "$TMP" -q --no-check-certificate --show-progress "$PROGRESS" ; then
  echo "Failed to download ${BOOT}" && exit 60
fi
{ wget "$BOOT" -O "$TMP" -q --no-check-certificate --show-progress "$PROGRESS"; rc=$?; } || :
(( rc != 0 )) && echo "ERROR: Failed to download ${BOOT}, reason: $rc" && exit 60

[ ! -f "$TMP" ] && echo "Failed to download ${BOOT}" && exit 61